import { EventEmitter } from "../../../stencil-public-runtime";
import { Site } from "../../../sdk";
export declare class ItemSite {
  floodteamOpenSiteEditModal: EventEmitter;
  href?: string;
  detail: boolean;
  disabled: boolean;
  site: Partial<Site>;
  openTab(event: any, selectedTab?: "info" | "areas" | "photos" | "dots"): void;
  render(): any;
}
